Page MenuHomePhabricator

add new (August 2018) wikis to wikistats (VPS) database
Closed, ResolvedPublic

Description

New wikis have been created on August 2, 2018. They need to be added to the wikistats.wmflabs.org tables.

See screenshot below.

Event Timeline

Dzahn created this task.Aug 21 2018, 5:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2018, 5:52 PM
Dzahn updated the task description. (Show Details)Aug 21 2018, 5:53 PM
Dzahn claimed this task.
Dzahn triaged this task as High priority.Aug 27 2018, 3:53 PM
Dzahn added a comment.Aug 27 2018, 8:15 PM
dzahn@wikistats-cowgirl:~$ php /usr/lib/wikistats/update.php wp prefix sat
sent query: 'select * from wikipedias where prefix="sat"'.
A(1/311) - sat.wikipedia.org - calling API: https://sat.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics&format=php&maxlag=5
-> http answer: 200 -> parsing answer: 0
---> OK - total: 1000 good: 344 edits: 9958 users: 387 active users: 37 admins: 1 images: 0
---> update wikipedias set total="1000",good="344",edits="9958",users="387",activeusers="37",admins="1",images="0",http="200",ts=NOW() where id="324"; 

-- go to http://wikistats.wmflabs.org/display.php?t=wp  and order by UID descending, see new entry
Dzahn added a comment.Aug 27 2018, 8:27 PM
  • wikimania
MariaDB [wikistats]> insert into wmspecials (prefix,statsurl,method) values ("wikimania","https://wikimania.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics", 8);
 php /usr/lib/wikistats/update.php wx prefix wikimania
sent query: 'select * from wmspecials where prefix="wikimania"'.
A(1/72) - wmspecials. - calling API: https://wikimania.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics
-> http answer: 200 -> parsing answer: 0
---> OK - total: 12 good: 0 edits: 50 users: 144 active users: 16 admins: 0 images: 0
---> update wmspecials set total="12",good="0",edits="50",users="144",activeusers="16",admins="0",images="0",http="200",ts=NOW() where id="144"; 



1 wikis succesfully updated.


MariaDB [wikistats]> update wmspecials set lang="English",description="Wikimania" where prefix="wikimania";

http://wikistats.wmflabs.org/detail.php?t=wx&id=144

  • zhwikiversity
    • copy values from wikipedia table because structure is same and zh is existing language:
MariaDB [wikistats]> insert into wikiversity (lang,prefix,loclang,loclanglink,method) select lang,prefix,loclang,loclanglink,method from wikipedias where prefix="zh";
php /usr//lib/wikistats/update.php wv prefix zh
sent query: 'select * from wikiversity where prefix="zh"'.
A(1/18) - zh.wikiversity.org - calling API: https://zh.wikiversity.org/w/api.php?action=query&meta=siteinfo&siprop=statistics&format=php&maxlag=5
-> http answer: 200 -> parsing answer: 0
---> OK - total: 3571 good: 656 edits: 53757 users: 1542 active users: 95 admins: 1 images: 1
---> update wikiversity set total="3571",good="656",edits="53757",users="1542",activeusers="95",admins="1",images="1",http="200",ts=NOW() where id="19";

http://wikistats.wmflabs.org/display.php?t=wv

Dzahn closed this task as Resolved.Aug 27 2018, 8:30 PM

and the 4th one, id_internal is not a public wiki, so "You need read permission to use this module."; (T196747)

This concludes the new additions.